Subject: witch hazel

From: [email-masked] (Cara Vandy)
Date: 16 Feb 1995 17:50:56 -0500

What is the diference between witch hazel and forsythia?  I just 
read a post describing witch hazel as a small tree, and here i always 
thought it was a bush.   I thought witch hazel was very similar to 
forsythia, but smaller, with fewer flowers that bloom before forsythia.  
Am I just looking at young, skinny forsythia?  
		CEV